import hashlib
import time

import requests


def get_md5_value(src):
    myMd5 = hashlib.md5()
    myMd5.update(src.encode(encoding='UTF-8'))
    myMd5_Digest = myMd5.hexdigest()
    return myMd5_Digest


if __name__ == '__main__':
    now = time.localtime()
    timestamp = time.mktime(now)
    key = 'znzjxt4132'
    seqno = str(int(timestamp * 1000))
    flowintime = time.strftime("%Y-%m-%d %H:%M:%S", now).replace('-', '').replace(' ', '').replace(':', '')
    headers = {
        'cmd': 'SendTemplateMsg',
        'seqno': seqno,
        'flowintime': flowintime,
        'userid': 'znzjxt',
        'token': get_md5_value('znzjxt' + seqno + key)
    }
    data = {
        'startTimestamp': "2020-04-01 00:00:01",
        'endTimestamp': "2020-04-01 23:59:59",
        'from': 1,
        'to': 10
    }
    resp = requests.post('https://38.1.32.58:8443/biwebback/inface/quality/getJhTrack',
                         json={'head': headers, 'body': data}, verify=False)

    src = resp.json()['body']

    desc = list()

    for iterm in src:
        if int(iterm['recordTime']) >= 60:
            desc.append(iterm)

    print(len(desc))
